$(document).ready(function() {
    var URL_PATH = '/promotion3'; // katalog startowy strony
    var countdown_timer = null;
    var countdown_seconds = 120;
    var popup_el = null;
    var popup_delay_desktop = 8000; // popup wersja desktop (w milisekundach)
    var popup_delay_mobile = 8000; // popup wersja mobilna (w milisekundach)
    var visited_website_time = new Date().getTime(); // data i godzina wejscia zaladowania strony
    
    /*Pobieranie bieżącej daty i godziny*/
    function ShowLocalDate(){
      var dNow = new Date();
      // var localdate= ('0' + dNow.getDate()).slice(-2) + '.' + ('0' + (dNow.getMonth()+1)).slice(-2) + '.' + dNow.getFullYear() + ' ' + (dNow.getHours()) + ':' + dNow.getMinutes();
      var localdate= ('0' + dNow.getDate()).slice(-2) + '.' + ('0' + (dNow.getMonth()+1)).slice(-2) + '.' + dNow.getFullYear();
      $('.current-info__date-time').html(localdate)
    }
    ShowLocalDate();

    $("button.comments__header-button").click(function(){
      $("form.comments__form").fadeToggle();
    });

    //Cookie communicate 
    var visit=GetCookie("ImmunoProCookies1");
    console.log('visit:', this.visit);
    if (visit==null){
        cookiebar();
    }

    $('.closeCookies').click(function(){ 
        setAgreeCookie();
        $('.cookieBox').addClass('closeCookieBox');
    });
    // /Cookie communicate 

    // copyright
    var currentYear = (new Date()).getFullYear();
    $(document).ready(function() {
        $(".year").text(currentYear);
    });
    
    if ($('.popupItem').length > 0) {
        if (isMobile()) { // popup dla wersji mobilnej
            var showed = false;
            var touchstart = false;
            var oldScrollY = 0;

            $(window).on('touchstart', function() {
                var length = event.touches.length;
                if (length === 0) {
                    return true;
                }

                if ($(event.touches[0].target).closest('.popupBox').length > 0 || $(event.touches[0].target).closest('.mainModalPromotion').length > 0) {
                    return true;
                }
                
                if ((new Date().getTime() - visited_website_time) < popup_delay_mobile) { // jesli nie minelo jeszcze 10sekund od zaladowania strony
                    return true;
                }

                //var pageY = event.touches[0].pageY;
                //var element1 = $('.mobileContent #pText101').first();
                //var element2 = $('#pText102').first();

                //if (!element1.length || !element2.length) {
                //    return true;
                //}

                //var element1_top = element1.offset().top;
                //var element2_top = element2.offset().top;

                //if (pageY >= element1_top && pageY <= element2_top) {
                    oldScrollY = $(document).scrollTop();
                    touchstart = true;
                //}
                //else {
                //    touchstart = false;
                //}

                //$(window).bind('scroll.v1', onScroll);
            });

            $(window).on('touchend', function() {
                touchstart = false;
                $(window).unbind('scroll.v1');
            });

            function onScroll() {
                if (!touchstart || showed) {
                    return;
                }

                //var element1 = $('.mobileContent #pText101').first();
                //var element2 = $('#pText102').first();

                //if (!element1.length || !element2.length) {
                //    return;
                //}

                //var element1_top = element1.offset().top;
                //var element2_top = element2.offset().top;

                //if (this.scrollY >= element1_top && this.scrollY <= element2_top) {
                    if (oldScrollY > this.scrollY) { // jesli przeskrolowano strone w gore (w gore/poczatek strony)
                        showed = true;

                        setTimeout(function() {
                            ouibounce(document.getElementById('popup_2'), {
                                aggressive: false,
                                cookieExpire: 1, // 1 day
                                delay: 1000,
                                callback: function() {
                                    $('body').css('overflow', 'hidden');
                                    window.location.hash = 'popup';
                                    //history.pushState(null, null, url);
                                    startCountdown($('#popup_2').first());
                                    
                                    $(window).bind('hashchange', function() {
                                        if (location.hash == null || location.hash == "") {
                                            closePopup();
                                        }
                                    });
                                    
                                    $(window).on('popstate', function (event) {  //pressed back button
                                        if (event.state !== null) {
                                            closePopup();
                                        }
                                    });
                                }
                            }).fire();
                        }, 500);
                    }
                //}

                oldScrollY = this.scrollY;
            }
        }
        else { // popup dla wersji desktop
            popup_el = ouibounce(document.getElementById('popup_1'), {
                aggressive: false,
                timer: popup_delay_desktop,
                cookieExpire: 1, // 1 day
                callback: function() {
                    $('body').css('overflow', 'hidden');
                    startCountdown($('#popup_1').first());
                }
            });
        }
    }
    
    function isMobile() { 
        if (navigator.userAgent.match(/Android/i)
            || navigator.userAgent.match(/webOS/i)
            || navigator.userAgent.match(/iPhone/i)
            || navigator.userAgent.match(/iPad/i)
            || navigator.userAgent.match(/iPod/i)
            || navigator.userAgent.match(/BlackBerry/i)
            || navigator.userAgent.match(/Windows Phone/i)
        ) {
            return true;
        }
        else {
            return false;
        }
    }
    
    $('.popupBox').click(function(e) {
        if ($(e.target).closest('.popupContent').length === 0) {
            closePopup();
        }
    });
    
    $('.mainModalPromotion').click(function(e) {
        if ($(e.target).closest('.mainModalContent').length === 0) {
            closePopup2();
        }
    });
    
    /*if ($('.countdown').length > 0) {
        startCountdown();
    }*/
    
    function startCountdown(base) {
        countdown_timer = setInterval(function() {
            var el_countdown = base.find('.countdown').first();
            if (!el_countdown.length) {
                clearInterval(countdown_timer);
                return;
            }
            
            countdown_seconds--;
            
            var minutes = Math.floor(countdown_seconds/60);
            var seconds = Math.floor(countdown_seconds%60);
            
            if (seconds < 10) {
                seconds = '0' + seconds;
            }
            
            el_countdown.text(minutes + ':' + seconds);
            
            if (countdown_seconds <= 0) {
                clearInterval(countdown_timer);
            }
        }, 1000);
    }
    
    $('#zglos').click(function(e) {
        e.preventDefault();
        
        var el = $(this);
        var form = el.closest('form');
        
        if (el.attr('data-loading')) {
            return false;
        }
        
        var base = el.closest('.popupContent');
        var text = el.text();
        var el_errors = form.find('.errors2').first();
        var el_success = form.find('.successMsg').first();
        var el_email = form.find('input[name=phone]').first();
        
        el.attr('data-loading', true);
        el_email.prop('disabled', true);
        el.prop('disabled', true);
        el.html('<span class="loader"></span>');
        
        $.ajax({
            type: 'POST',
            url: URL_PATH + '/ajax/process_free_popup.php',
            dataType: 'json',
            data: {
                phone: el_email.val() || ''
            },
            success: function(json) {
                el_errors.html('');
                el_success.html(''); 
                
                if (json['errors'] && Object.keys(json['errors']).length > 0) {
                    for (var i in json['errors']) {
                        el_errors.append('<p>' + json['errors'][i] + '</p>');
                    }
                }
                else {
                    /*form.find('.formGroup').hide();
                    form.find('button').hide();
                    form.find('a.defaultBtn').hide();
                    base.find('.mainPopupTextCont').first().hide();
                    base.find('.popupProduct').first().hide();
                    base.find('.successPopupContainer').first().show();*/
                    //el_success.text('Dziękujemy za zaufanie. Skontaktujemy się z Tobą w ciągu 24 h.');
                    
                    document.location = location.protocol + '//' + location.host + URL_PATH + '/dziekuje5.php?id=' + json['record_id'];
                }
            },
            complete: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_email.prop('disabled', false);
                el.prop('disabled', false);
            },
            error: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_email.prop('disabled', false);
                el.prop('disabled', false);
                el_success.html(''); 
                el_errors.html('Wystąpił nieoczekiwany błąd podczas przetwarzania żądania. Spróbuj jeszcze raz za chwilę.');
            }
        });
        return false;
    });
    
    $('.button-zglos2').click(function(e) {
        e.preventDefault();
        
        var el = $(this);
        var form = el.closest('.mainModalDescription');
        
        if (el.attr('data-loading')) {
            return false;
        }
        
        var base = el.closest('.rightMainCont');
        var text = el.text();
        var el_phone = form.find('input[name=phone]').first();
        var el_close_button = base.find('.closePopup').first().clone(true);
        
        el.attr('data-loading', true);
        el_phone.prop('disabled', true);
        el.prop('disabled', true);
        el.html('<span class="loader"></span>');
        
        $.ajax({
            type: 'POST',
            url: URL_PATH + '/ajax/process_free_popup.php',
            dataType: 'json',
            data: {
                phone: el_phone.val() || ''
            },
            success: function(json) {
                form.find('.attention').remove();
                
                if (json['errors'] && Object.keys(json['errors']).length > 0) {
                    for (var i in json['errors']) {
                        base.find('.formFlex').first().before('<div class="attention">' + json['errors'][i] + '</div>');
                    }
                }
                else {
                    /*base.html('<div class="success">Dziękujemy za zaufanie. Skontaktujemy się z Tobą w ciągu 24 h.</div>');
                    base.append(el_close_button);*/
                    
                    document.location = location.protocol + '//' + location.host + URL_PATH + '/dziekuje5.php?id=' + json['record_id'];
                }
            },
            complete: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_phone.prop('disabled', false);
                el.prop('disabled', false);
            },
            error: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_phone.prop('disabled', false);
                el.prop('disabled', false);
                form.find('.attention').remove();
                base.find('.formFlex').first().before('<div class="attention">Wystąpił nieoczekiwany błąd podczas przetwarzania żądania. Spróbuj jeszcze raz za chwilę.</div>');
            }
        });
        return false;
    });
    
    $('.exit-popup__form button').click(function(e) {
        e.preventDefault();
        
        var el = $(this);
        var form = el.closest('form');
        
        if (el.attr('data-loading')) {
            return false;
        }
        
        var text = el.text();
        var el_phone = form.find('input[name=phone]').first();
        
        el.attr('data-loading', true);
        el_phone.prop('disabled', true);
        el.prop('disabled', true);
        el.html('<span class="loader"></span>');
        
        $.ajax({
            type: 'POST',
            url: URL_PATH + '/ajax/process_exit_popup.php',
            dataType: 'json',
            data: {
                phone: el_phone.val() || ''
            },
            success: function(json) {
                form.find('.exit-popup__error').remove();
                
                if (json['errors'] && Object.keys(json['errors']).length > 0) {
                    for (var i in json['errors']) {
                       form.append('<div class="exit-popup__error">' + json['errors'][i] + '</div>');
                    }
                }
                else {
                    $('.exit-popup .exit-popup__form-content').first().hide();
                    $('.exit-popup .thankyou').first().show();
                }
            },
            complete: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_phone.prop('disabled', false);
                el.prop('disabled', false);
            },
            error: function() {
                el.removeAttr('data-loading');
                el.text(text);
                el_phone.prop('disabled', false);
                el.prop('disabled', false);
                form.find('.exit-popup__error').remove();
                form.append('<div class="exit-popup__error">Wystąpił nieoczekiwany błąd podczas przetwarzania żądania. Spróbuj jeszcze raz za chwilę.</div>');
            }
        });
        return false;
    });
});


//Cookie communicate 
function GetCookie(name) {
	var arg=name+"=";
	var arglen=arg.length;
	var dclen=document.cookie.length;
	var i=0;

	while (i<dclen) {
		var j=i+arglen;
			if (document.cookie.substring(i,j)==arg)
				return "here";
				i=document.cookie.indexOf(" ",i)+1;
			if (i==0) 
				break;
   }
   
	return null;
}

function setAgreeCookie() {
   var expire=new Date();
	expire=new Date(expire.getTime()+7776000000);
	document.cookie="ImmunoProCookies1=here; expires="+expire;
}

function cookiebar() {
	$('.cookieBox').addClass('display');
}
// /Cookie communicate

function openPopup(el) {
   $('.popupBox').hide();
   $('#' + el).fadeIn(200);  
   $('body').css('overflow','hidden'); 
}

function closePopup() {
    $('.popupBox').fadeOut(300);
    $('body').css('overflow','auto');
    window.location.hash = "";
}

function openPopup2(el) {
   $('.mainModalPromotion').hide();
   $('#' + el).fadeIn(200);  
   $('body').css('overflow','hidden'); 
}

function closePopup2() {
    $('.mainModalPromotion').fadeOut(300);
    $('body').css('overflow','auto'); 
}

function getRandomInt(min, max) {
    min = Math.ceil(min);
    max = Math.floor(max);
    return Math.floor(Math.random() * (max - min + 1)) + min;
}